From: "Luis R. Rodriguez" <mcgrof@do-not-panic.com>
To: xen-devel@lists.xenproject.org
Cc: "Ian Campbell" <ian.campbell@citrix.com>,
"Stefano Stabellini" <stefano.stabellini@eu.citrix.com>,
"Luis R. Rodriguez" <mcgrof@suse.com>,
"Jan Rękorajski" <baggins@pld-linux.org>,
"Ian Jackson" <ian.jackson@eu.citrix.com>,
"Jacek Konieczny" <jajcus@jajcus.net>,
"M A Young" <m.a.young@durham.ac.uk>
Subject: [PATCH v6 06/13] tools/xendomains: do space cleanups
Date: Thu, 12 Jun 2014 18:18:44 -0700 [thread overview]
Message-ID: <1402622331-4282-7-git-send-email-mcgrof@do-not-panic.com> (raw)
In-Reply-To: <1402622331-4282-1-git-send-email-mcgrof@do-not-panic.com>
From: "Luis R. Rodriguez" <mcgrof@suse.com>
This has no functional changes. This is just to prepare the file
to be moved, so you won't blind your eyes or get git am to complain.
Cc: Ian Jackson <ian.jackson@eu.citrix.com>
Cc: Stefano Stabellini <stefano.stabellini@eu.citrix.com>
Cc: Ian Campbell <ian.campbell@citrix.com>
Cc: Jan Rękorajski <baggins@pld-linux.org>
Cc: M A Young <m.a.young@durham.ac.uk>
Cc: Jacek Konieczny <jajcus@jajcus.net>
Cc: xen-devel@lists.xenproject.org
Acked-by: Ian Campbell <ian.campbell@citrix.com>
Signed-off-by: Luis R. Rodriguez <mcgrof@suse.com>
---
tools/hotplug/Linux/init.d/xendomains | 62 +++++++++++++++++------------------
1 file changed, 31 insertions(+), 31 deletions(-)
diff --git a/tools/hotplug/Linux/init.d/xendomains b/tools/hotplug/Linux/init.d/xendomains
index f68fd2b..cad92da 100644
--- a/tools/hotplug/Linux/init.d/xendomains
+++ b/tools/hotplug/Linux/init.d/xendomains
@@ -23,7 +23,7 @@
# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Short-Description: Start/stop secondary xen domains
-# Description: Start / stop domains automatically when domain 0
+# Description: Start / stop domains automatically when domain 0
# boots / shuts down.
### END INIT INFO
@@ -43,7 +43,7 @@ then
exit 0;
fi
-# Correct exit code would probably be 5, but it's enough
+# Correct exit code would probably be 5, but it's enough
# if xend complains if we're not running as privileged domain
if ! [ -e /proc/xen/privcmd ]; then
exit 0
@@ -73,7 +73,7 @@ test -r $XENDOM_CONFIG || { echo "$XENDOM_CONFIG not existing";
if test -e /etc/rc.status; then
# SUSE rc script library
. /etc/rc.status
-else
+else
_cmd=$1
declare -a _SMSG
if test "${_cmd}" = "status"; then
@@ -96,7 +96,7 @@ else
fi
}
elif test -e /lib/lsb/init-functions; then
- # LSB
+ # LSB
. /lib/lsb/init-functions
if alias log_success_msg >/dev/null 2>/dev/null; then
echo_rc()
@@ -113,7 +113,7 @@ else
fi
}
fi
- else
+ else
# emulate it
echo_rc()
{
@@ -123,17 +123,17 @@ else
rc_reset() { _RC_RV=0; }
rc_failed()
{
- if test -z "$1"; then
+ if test -z "$1"; then
_RC_RV=1;
- elif test "$1" != "0"; then
- _RC_RV=$1;
- fi
+ elif test "$1" != "0"; then
+ _RC_RV=$1;
+ fi
return ${_RC_RV}
}
rc_check()
{
return rc_failed $?
- }
+ }
rc_status()
{
rc_failed $?
@@ -145,7 +145,7 @@ else
return ${_RC_RV}
}
rc_exit() { exit ${_RC_RV}; }
- rc_active()
+ rc_active()
{
if test -z "$RUNLEVEL"; then read RUNLEVEL REST < <(/sbin/runlevel); fi
if test -e /etc/init.d/S[0-9][0-9]${1}; then return 0; fi
@@ -192,13 +192,13 @@ rdnames()
{
NAMES=
if ! contains_something "$XENDOMAINS_AUTO"
- then
+ then
return
fi
for dom in $XENDOMAINS_AUTO/*; do
rdname $dom
- if test -z $NAMES; then
- NAMES=$NM;
+ if test -z $NAMES; then
+ NAMES=$NM;
else
NAMES="$NAMES|$NM"
fi
@@ -231,7 +231,7 @@ is_running()
while read LN; do
parseln "$LN" || continue
if test $id = 0; then continue; fi
- case $name in
+ case $name in
($NM)
RC=0
;;
@@ -240,11 +240,11 @@ is_running()
return $RC
}
-start()
+start()
{
- if [ -f $LOCKFILE ]; then
+ if [ -f $LOCKFILE ]; then
echo -e "xendomains already running (lockfile exists)"
- return;
+ return;
fi
saved_domains=" "
@@ -284,10 +284,10 @@ start()
# XENDOMAINS_AUTO - they could just be symlinks to files elsewhere
# Create all domains with config files in XENDOMAINS_AUTO.
- # TODO: We should record which domain name belongs
+ # TODO: We should record which domain name belongs
# so we have the option to selectively shut down / migrate later
# If a domain statefile from $XENDOMAINS_SAVE matches a domain name
- # in $XENDOMAINS_AUTO, do not try to start that domain; if it didn't
+ # in $XENDOMAINS_AUTO, do not try to start that domain; if it didn't
# restore correctly it requires administrative attention.
for dom in $XENDOMAINS_AUTO/*; do
echo -n " ${dom##*/}"
@@ -348,14 +348,14 @@ watchdog_xencmd()
read PSF PSUID PSPID PSPPID < <(echo "$PSAX")
# kill $CMD $1
kill $PSPID >/dev/null 2>&1
-
+
echo -e .
}
stop()
{
exec 3>&2 2> /dev/null
-
+
# Collect list of domains to shut down
if test "$XENDOMAINS_AUTO_ONLY" = "true"; then
rdnames
@@ -379,7 +379,7 @@ stop()
esac
"
fi
- # XENDOMAINS_SYSRQ chould be something like just "s"
+ # XENDOMAINS_SYSRQ chould be something like just "s"
# or "s e i u" or even "s e s i u o"
# for the latter, you should set XENDOMAINS_USLEEP to 1200000 or so
if test -n "$XENDOMAINS_SYSRQ"; then
@@ -412,7 +412,7 @@ stop()
kill $WDOG_PID >/dev/null 2>&1
else
kill $WDOG_PID >/dev/null 2>&1
-
+
echo -e .
usleep 1000
continue
@@ -471,7 +471,7 @@ stop()
# Unconditionally delete lock file
rm -f $LOCKFILE
-
+
exec 2>&3
}
@@ -481,7 +481,7 @@ check_domain_up()
while read LN; do
parseln "$LN" || continue
if test $id = 0; then continue; fi
- case $name in
+ case $name in
($1)
return 0
;;
@@ -500,9 +500,9 @@ check_all_auto_domains_up()
for nm in $XENDOMAINS_AUTO/*; do
rdname $nm
found=0
- if check_domain_up "$NM"; then
+ if check_domain_up "$NM"; then
echo -n " $name"
- else
+ else
missing="$missing $NM"
fi
done
@@ -515,7 +515,7 @@ check_all_auto_domains_up()
check_all_saved_domains_up()
{
- if ! contains_something "$XENDOMAINS_SAVE"
+ if ! contains_something "$XENDOMAINS_SAVE"
then
return 0
fi
@@ -562,8 +562,8 @@ case "$1" in
;;
status)
- echo -n "Checking for xendomains:"
- if test ! -f $LOCKFILE; then
+ echo -n "Checking for xendomains:"
+ if test ! -f $LOCKFILE; then
rc_failed 3
else
check_all_auto_domains_up
--
2.0.0.rc3.18.g00a5b79
_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xen.org
http://lists.xen.org/xen-devel
next prev parent reply other threads:[~2014-06-13 1:19 UTC|newest]
Thread overview: 66+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-06-13 1:18 [PATCH v6 00/13] xen: add systemd support Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 01/13] xenstored: enable usage of config.h on both xenstored and oxenstored Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 02/13] cxenstored: add support for systemd active sockets Luis R. Rodriguez
2014-07-02 13:02 ` Ian Campbell
2014-07-02 19:00 ` Luis R. Rodriguez
2014-07-03 9:13 ` Ian Campbell
2014-07-03 17:06 ` Luis R. Rodriguez
2014-07-04 14:32 ` Ian Campbell
2014-07-08 3:08 ` Luis R. Rodriguez
2014-07-17 19:45 ` Luis R. Rodriguez
2014-07-17 20:16 ` Dave Scott
2014-07-17 23:13 ` Luis R. Rodriguez
2014-07-18 9:27 ` Anil Madhavapeddy
2014-06-13 1:18 ` [PATCH v6 03/13] oxenstored: " Luis R. Rodriguez
2014-07-02 13:08 ` Ian Campbell
2014-07-02 19:09 ` Luis R. Rodriguez
2014-07-03 8:42 ` Dave Scott
2014-07-03 17:43 ` Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 04/13] oxenstored: force FD_CLOEXEC with Unix.set_close_on_exec on LSB init Luis R. Rodriguez
2014-07-02 13:08 ` Ian Campbell
2014-06-13 1:18 ` [PATCH v6 05/13] tools/xendomains: make xl the default and remove xm usage Luis R. Rodriguez
2014-06-13 1:18 ` Luis R. Rodriguez [this message]
2014-06-13 1:18 ` [PATCH v6 07/13] tools/xendomains: move to libexec and use a smaller init helper Luis R. Rodriguez
2014-06-13 7:06 ` Jacek Konieczny
2014-06-13 18:32 ` Luis R. Rodriguez
2014-07-02 13:12 ` Ian Campbell
2014-06-13 1:18 ` [PATCH v6 08/13] autoconf: xen: force a refresh with autoconf Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 09/13] autoconf: update m4/pkg.m4 Luis R. Rodriguez
2014-07-02 13:13 ` Ian Campbell
2014-07-02 19:10 ` Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 10/13] autoconf: xen: move standard path variables to config/Paths.mk.in Luis R. Rodriguez
2014-07-02 13:34 ` Ian Campbell
2014-07-02 19:32 ` Luis R. Rodriguez
2014-07-03 9:15 ` Ian Campbell
2014-07-03 18:30 ` Luis R. Rodriguez
2014-07-04 14:33 ` Ian Campbell
2014-07-08 18:41 ` Luis R. Rodriguez
2014-07-08 18:53 ` Luis R. Rodriguez
2014-07-10 16:18 ` Ian Campbell
2014-07-14 23:41 ` Luis R. Rodriguez
2014-07-03 18:53 ` Luis R. Rodriguez
2014-07-04 14:36 ` Ian Campbell
2014-07-08 18:52 ` Luis R. Rodriguez
2014-07-10 16:16 ` Ian Campbell
2014-07-14 23:42 ` Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 11/13] xencommons: move module list into a generic place Luis R. Rodriguez
2014-07-02 13:44 ` Ian Campbell
2014-07-02 21:56 ` Luis R. Rodriguez
2014-07-03 9:15 ` Ian Campbell
2014-06-13 1:18 ` [PATCH v6 12/13] autoconf: xen: enable explicit preference option for xenstored preference Luis R. Rodriguez
2014-07-02 13:54 ` Ian Campbell
2014-07-02 20:09 ` Luis R. Rodriguez
2014-07-03 9:20 ` Ian Campbell
2014-07-03 18:57 ` Luis R. Rodriguez
2014-07-04 14:37 ` Ian Campbell
2014-07-08 18:54 ` Luis R. Rodriguez
2014-06-13 1:18 ` [PATCH v6 13/13] systemd: add xen systemd service and module files Luis R. Rodriguez
2014-06-13 19:55 ` Luis R. Rodriguez
2014-06-19 19:47 ` Bastian Blank
2014-06-19 20:21 ` Luis R. Rodriguez
2014-06-19 20:26 ` Luis R. Rodriguez
2014-06-20 5:59 ` David Sutton
2014-07-02 14:02 ` Ian Campbell
2014-07-02 20:25 ` Luis R. Rodriguez
2014-06-19 19:03 ` [PATCH v6 00/13] xen: add systemd support Luis R. Rodriguez
2014-07-02 14:48 ` Ian Campbell
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1402622331-4282-7-git-send-email-mcgrof@do-not-panic.com \
--to=mcgrof@do-not-panic.com \
--cc=baggins@pld-linux.org \
--cc=ian.campbell@citrix.com \
--cc=ian.jackson@eu.citrix.com \
--cc=jajcus@jajcus.net \
--cc=m.a.young@durham.ac.uk \
--cc=mcgrof@suse.com \
--cc=stefano.stabellini@eu.citrix.com \
--cc=xen-devel@lists.xenproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.